Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getCameraWirelessProfiles({
serial: "string",
});
export const merakiDevicesCameraWirelessProfilesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_camera_wireless_profiles(serial="string")
pulumi.export("merakiDevicesCameraWirelessProfilesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupCameraWirelessProfiles(ctx, &devices.LookupCameraWirelessProfilesArgs{
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesCameraWirelessProfilesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetCameraWirelessProfiles.Invoke(new()
{
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesCameraWirelessProfilesExample"] = example.Apply(getCameraWirelessProfilesResult => getCameraWirelessProfilesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetCameraWirelessProfilesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getCameraWirelessProfiles(GetCameraWirelessProfilesArgs.builder()
.serial("string")
.build());
ctx.export("merakiDevicesCameraWirelessProfilesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getCameraWirelessProfiles
arguments:
serial: string
outputs:
merakiDevicesCameraWirelessProfilesExample: ${example.item}
Using getCameraWirelessProfiles
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCameraWirelessProfiles(args: GetCameraWirelessProfilesArgs, opts?: InvokeOptions): Promise<GetCameraWirelessProfilesResult>
function getCameraWirelessProfilesOutput(args: GetCameraWirelessProfilesOutputArgs, opts?: InvokeOptions): Output<GetCameraWirelessProfilesResult>def get_camera_wireless_profiles(serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCameraWirelessProfilesResult
def get_camera_wireless_profiles_output(serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCameraWirelessProfilesResult]func LookupCameraWirelessProfiles(ctx *Context, args *LookupCameraWirelessProfilesArgs, opts ...InvokeOption) (*LookupCameraWirelessProfilesResult, error)
func LookupCameraWirelessProfilesOutput(ctx *Context, args *LookupCameraWirelessProfilesOutputArgs, opts ...InvokeOption) LookupCameraWirelessProfilesResultOutput> Note: This function is named LookupCameraWirelessProfiles in the Go SDK.
public static class GetCameraWirelessProfiles
{
public static Task<GetCameraWirelessProfilesResult> InvokeAsync(GetCameraWirelessProfilesArgs args, InvokeOptions? opts = null)
public static Output<GetCameraWirelessProfilesResult> Invoke(GetCameraWirelessProfilesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCameraWirelessProfilesResult> getCameraWirelessProfiles(GetCameraWirelessProfilesArgs args, InvokeOptions options)
public static Output<GetCameraWirelessProfilesResult> getCameraWirelessProfiles(GetCameraWirelessProfilesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getCameraWirelessProfiles:getCameraWirelessProfiles
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Serial string
- serial path parameter.
- serial String
- serial path parameter.
- serial string
- serial path parameter.
- serial str
- serial path parameter.
- serial String
- serial path parameter.
getCameraWirelessProfiles Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Camera Wireless Profiles Item - Serial string
- serial path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Camera Wireless Profiles Item - Serial string
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Wireless Profiles Item - serial String
- serial path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Wireless Profiles Item - serial string
- serial path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Wireless Profiles Item - serial str
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetCameraWirelessProfilesItem
GetCameraWirelessProfilesItemIds
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
